Skip to Content
FlowVerifyDevelopers

Signing progress summary

Scope envelopes:read.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid

Response Body

Progress, per-signer counts and allowed actions

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X GET 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/status'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "envelope_status",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "status": "draft",    "progress": 0,    "is_expired": true,    "expires_at": "2019-08-24T14:15:22Z",    "signer_counts": {      "total": 0,      "pending": 0,      "sent": 0,      "delivered": 0,      "viewed": 0,      "in_progress": 0,      "signed": 0,      "declined": 0    },    "actions": {      "can_void": true,      "can_hold": true,      "can_resume": true,      "can_archive": true    },    "timeline": {      "created_at": "2019-08-24T14:15:22Z",      "sent_at": "2019-08-24T14:15:22Z",      "first_viewed_at": "2019-08-24T14:15:22Z",      "first_signed_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    },    "recipients": [      {        "object": "recipient",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "phone": "string",        "role": "sign",        "order": 0,        "status": "pending",        "language": "string",        "auth": {          "email_otp": true,          "sms_otp": true        },        "sent_at": "2019-08-24T14:15:22Z",        "viewed_at": "2019-08-24T14:15:22Z",        "signed_at": "2019-08-24T14:15:22Z",        "declined_at": "2019-08-24T14:15:22Z",        "decline_reason": "string"      }    ]  }}